namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "yawn")]
public class YawnEffect : Script, IScriptOnEndTurn
{
    private bool _hasDoneFirstTurn;

    /// <inheritdoc />
    public void OnEndTurn(IScriptSource owner, IBattle battle)
    {
        if (owner is not IPokemon pokemon)
            return;
        if (!_hasDoneFirstTurn)
        {
            _hasDoneFirstTurn = true;
            return;
        }
        pokemon.SetStatus(ScriptUtils.ResolveName<Status.Sleep>(), pokemon);
    }
}